class outboundLink {
  static getUrlVars = () => {
    var vars = [], hash;
    var hashes = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
    for (var i = 0; i < hashes.length; i++) {
      hash = hashes[i].split('=');
      vars.push(hash[0]);
      vars[hash[0]] = hash[1];
    }
    return vars;
  }

  static buildUrl = () => {
    var domain = outboundLink.getUrlVars()['domain'];
    var d = outboundLink.getUrlVars()['d'];
    var hash = outboundLink.getUrlVars()['hash'];
    var action = outboundLink.getUrlVars()['action'];
    var s1 = outboundLink.getUrlVars()['s1'];
    var s2 = outboundLink.getUrlVars()['s2'];
    var s3 = outboundLink.getUrlVars()['s3'];
    var tavHash = outboundLink.getUrlVars()['tavhash'];

    // Domain can come from ?d rather than ?domain
    if (d !== undefined && domain === undefined) {
      domain = d;
    }

    if (domain === undefined) {
      return "https://totalav.com/mobile-protection-15";
    }

    if (tavHash !== undefined) {
      hash = tavHash;
    }

    // Don't need to specify full URL for these domains
    if (domain === 'totalav') domain = 'url.totalav.com'
    if (domain === 'totalvpn') domain = 'url.totalvpn.com'
    if (domain === 'totaladblock') domain = 'url.totaladblock.com'
    if (domain === 'totaldrive') domain = 'url.totaldrive.com'

    return "https://" + domain + "/" + hash + "/" + action + "/" + s1 + "/" + s2 + "/" + s3;
  }

  static removeUrlVars = () => {
    var uri = window.location.toString();
    if (uri.indexOf("?") > 0) {
      var clean_uri = uri.substring(0, uri.indexOf("?"));
      window.history.replaceState({}, document.title, clean_uri);
    }
  }

  static getOutboundLink = () => {
    const link = outboundLink.buildUrl()
    outboundLink.removeUrlVars()
    return link
  }
}